Product Hunt topic products
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-producthunt-topics \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"topic": "artificial-intelligence",
"max_items": 2
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-producthunt-topics"
payload = {
"topic": "artificial-intelligence",
"max_items": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({topic: 'artificial-intelligence', max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-producthunt-topics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "producthunt_topics",
"topic": "artificial-intelligence",
"max_items": 2,
"start_page": 1,
"partial": false,
"human": "# Product Hunt — topic products\n\n- **Topic:** artificial-intelligence\n- **Results:** 2 of 16179 found\n- **Proxy traffic:** 657.5 KB",
"machine": {
"total_items": 2,
"first_item": {
"id": "figma",
"name": "Figma",
"url": "https://www.producthunt.com/products/figma",
"alias": "figma",
"product_id": "109920",
"tagline": "The collaborative interface design tool",
"rating": 4.93,
"review_count": 1589,
"post_count": 34,
"image": "https://ph-files.imgix.net/db00a7a1-6778-4e51-a953-de5a9a339bc9.jpeg?auto=format&fit=crop&w=128&h=128",
"categories": [
{
"name": "Team collaboration software",
"slug": "team-collaboration",
"url": "https://www.producthunt.com/categories/team-collaboration"
},
{
"name": "Wireframing",
"slug": "wireframing",
"url": "https://www.producthunt.com/categories/wireframing"
},
{
"name": "Interface design tools",
"slug": "interface-design-tools",
"url": "https://www.producthunt.com/categories/interface-design-tools"
}
],
"is_no_longer_online": false
},
"items": [
{
"id": "figma",
"name": "Figma",
"url": "https://www.producthunt.com/products/figma",
"alias": "figma",
"product_id": "109920",
"tagline": "The collaborative interface design tool",
"rating": 4.93,
"review_count": 1589,
"post_count": 34,
"image": "https://ph-files.imgix.net/db00a7a1-6778-4e51-a953-de5a9a339bc9.jpeg?auto=format&fit=crop&w=128&h=128",
"categories": [
{
"name": "Team collaboration software",
"slug": "team-collaboration",
"url": "https://www.producthunt.com/categories/team-collaboration"
},
{
"name": "Wireframing",
"slug": "wireframing",
"url": "https://www.producthunt.com/categories/wireframing"
},
{
"name": "Interface design tools",
"slug": "interface-design-tools",
"url": "https://www.producthunt.com/categories/interface-design-tools"
}
],
"is_no_longer_online": false
},
{
"id": "vercel",
"name": "Vercel",
"url": "https://www.producthunt.com/products/vercel",
"alias": "vercel",
"product_id": "435808",
"tagline": "The frontend cloud. Creators of Next.js.",
"rating": 4.97,
"review_count": 1087,
"post_count": 31,
"image": "https://ph-files.imgix.net/593ff5e2-9d11-491c-ab63-9e929e894214.jpeg?auto=format&fit=crop&w=128&h=128",
"categories": [
{
"name": "Engineering & Development",
"slug": "engineering-development",
"url": "https://www.producthunt.com/categories/engineering-development"
}
],
"is_no_longer_online": false
}
],
"total_found": 16179,
"page_count": 1,
"blocked": false,
"proxy_traffic_bytes": 673282
},
"total_points": 2
}Startup & Funding Data
Product Hunt topic products
Products of a Product Hunt topic: name, tagline, rating, review count, launches and categories. 1 point per returned record.
POST
/
functions
/
v1
/
run-producthunt-topics
Product Hunt topic products
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.